Bug 1651324 - [Subscriptions] "Partition table" string is displayed instead of "Enabled"
Summary: [Subscriptions] "Partition table" string is displayed instead of "Enabled"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Localization and Internationalization
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 17:06 UTC by Mirek Zalewski
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version: foreman-1.20.1.17-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:54 UTC


Attachments (Terms of Use)
Screenshot showing problem (180.23 KB, image/png)
2018-11-19 17:09 UTC, Mirek Zalewski
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:02 UTC

Internal Links: 1652677

Description Mirek Zalewski 2018-11-19 17:06:39 UTC
On Subscription -> Product Content tab, string "Partition table" is displayed instead of "Enabled". That was not a case in 6.4.


Version-Release number of selected component (if applicable):
Satellite 6.5 snap 4
satellite-6.5.0-4.beta.el7sat.noarch
pulp-server-2.17.1-1.el7sat.noarch
foreman-1.20.0-1.el7sat.noarch
katello-3.9.0-0.11.rc2.el7sat.noarch


Steps to Reproduce:
1. Upload manifest with RHEL product
2. Content -> Red Hat Repositories -> Enable rhel-7-server-rpms
3. Content -> Subscriptions -> Subscription with RHEL product -> Enabled Products -> expand Red Hat Enterprise Linux Server


Actual results:
"Partition Table" is displayed instead of "Enabled". Value displayed is for "enabled" in JSON response.


Expected results:
"Enabled" is displayed


Additional info:
Foreman English translation file does tell that "Enabled" should be translated as "Partition Table" (see https://github.com/theforeman/foreman/blob/develop/locale/en/foreman.po#L2626 ). I believe this is mistake. But it was introduced in 2016 - I fail to see how it could not affect Satellite 6.4, released just a month ago.

Comment 1 Mirek Zalewski 2018-11-19 17:09:00 UTC
Created attachment 1507307 [details]
Screenshot showing problem

Comment 3 Walden Raines 2019-03-08 17:38:47 UTC
From the description this appears to be a problem with translations and not the web ui itself.

Comment 4 Walden Raines 2019-03-08 17:39:51 UTC
Oops.  Not sure where to assign this as our team doesn't really deal with translation files.

Comment 5 Tomer Brisker 2019-03-11 15:46:56 UTC
This is same root cause as https://bugzilla.redhat.com/show_bug.cgi?id=1652677 and should be fixed by the same fix.

Comment 6 jcallaha 2019-03-20 13:55:07 UTC
Verified in Satellite 6.5.0 snap 20.

The entry is now correctly named "Enabled".

See attached screenshot for verification.

Comment 10 errata-xmlrpc 2019-05-14 12:38:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.